<?php

namespace App\Distributor\Repositories;

use Dcat\Admin\Form;
use App\Models\DistProduct as Model;
use Dcat\Admin\Repositories\EloquentRepository;

class DistProduct extends EloquentRepository
{
    /**
     * Model.
     *
     * @var string
     */
    protected $eloquentClass = Model::class;

    public function delete(Form $form, array $originalData)
    {
        collect(explode(',', $form->getKey()))->filter()->each(function ($id) {
            Model::find($id)->images()->delete();
            Model::find($id)->delete();
        });
        return true;
    }
}
